# Class JoinTypeParameter

java.lang.Object
uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.JoinType>
uk.ac.starlink.task.AbstractChoiceParameter<uk.ac.starlink.table.join.JoinType, uk.ac.starlink.table.join.JoinType>
uk.ac.starlink.task.ChoiceParameter<uk.ac.starlink.table.join.JoinType>
uk.ac.starlink.ttools.join.JoinTypeParameter

public class JoinTypeParameter extends uk.ac.starlink.task.ChoiceParameter<uk.ac.starlink.table.join.JoinType>
Parameter which can select a `JoinType`.

Since:
  8 Sep 2005
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`JoinTypeParameter(String name)`

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.join.JoinType`
`joinTypeValue(uk.ac.starlink.task.Environment env)`
Returns the value of this parameter as a JoinType.
`String`
`stringifyOption(uk.ac.starlink.table.join.JoinType type)`

### Methods inherited from class uk.ac.starlink.task.ChoiceParameter

`getUsage, objectToString, setDefaultOption, setUsage, stringToObject`

### Methods inherited from class uk.ac.starlink.task.AbstractChoiceParameter

`addOption, addOption, choiceToString, clearOptions, getName, getOption, getOptionNames, getOptions, getOptionValueList, stringToChoice`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JoinTypeParameter

public JoinTypeParameter(String name)

## Method Details

### joinTypeValue

public uk.ac.starlink.table.join.JoinType joinTypeValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the value of this parameter as a JoinType.

Returns:
  join type
Throws:
  `uk.ac.starlink.task.TaskException`

### stringifyOption

public String stringifyOption(uk.ac.starlink.table.join.JoinType type)

Overrides:
  `stringifyOption` in class `uk.ac.starlink.task.AbstractChoiceParameter<uk.ac.starlink.table.join.JoinType, uk.ac.starlink.table.join.JoinType>`